const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_b = edi_global_2d_to_2d_local;
    v3_f = arg1[48];
    edi_global_2d_to_2d_local = v3_f;
    ebx_global_2d_to_2d_local = z.x # ebx;
    v4_16 = *((v3_f - 32)) # bp+16;
    v7_21 = *((v3_f - 16)) * *((v3_f - 24)) # bp+21;
    v3_2b = z.x * z.x;
    v3_2f = z.y * z.y;
    v3_33 = z.z * z.z # bp+33;
    v4_37 = v3_2b + v3_2f + v3_33 # bp+37;
    sqrtl(v4_37);
    v2_48 = sqrtl(v3_2b * v4_16 + v4_37) # bp+48;
    v2_57 = sqrtl(v3_2f * v4_16 + v4_37) # bp+57;
    v2_66 = sqrtl(v3_33 * v4_16 + v4_37) # bp+66;
    tmp278 = fabs(v2_48);
    z.x = __asm_fyl2x(v0_b);
    z.x = __asm_fprem();
    z.x = __asm_f2xm1();
    z.x = __asm_fscale();
    st4_global_2d_to_2d_local = fabs(v2_57) # st4;
    z.x = __asm_fyl2x(1.0 + tmp278);
    z.x = __asm_fprem();
    z.x = __asm_f2xm1();
    v4_9e = st4_global_2d_to_2d_local + 1.0;
    z.x = __asm_fscale();
    st3_global_2d_to_2d_local = fabs(v2_66) # st3;
    z.x = __asm_fyl2x(v4_9e);
    z.x = __asm_fprem();
    z.x = __asm_f2xm1();
    v4_bd = st3_global_2d_to_2d_local + 1.0;
    z.x = __asm_fscale();
    v7_d3 = v7_21 * fabs(z.x);
    z.x = __asm_fpatan(v4_bd);
    v7_e5 = v7_21 * fabs(z.y);
    z.x = __asm_fpatan(v7_d3);
    v7_f7 = v7_21 * fabs(z.z);
    z.x = __asm_fpatan(v7_e5);
    st7_global_2d_to_2d_local = j.x * *((edi_global_2d_to_2d_local - 40)) # st7;
    v1_11d = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v3_11f = v1_11d / 256 & 65;
    z.x = z.x & -0x10000 | v1_11d & -0xff01 | 256 * v3_11f;
    storemerge13_in_in_p = -st7_global_2d_to_2d_local if v3_11f != 0 else st7_global_2d_to_2d_local;
    *ebx_global_2d_to_2d_local = st7_global_2d_to_2d_local + storemerge13_in_in_p;
    v7_135 = v7_e5 * *((edi_global_2d_to_2d_local - 24)) + *((edi_global_2d_to_2d_local - 40)) # bp+135;
    v2_138 = fabsl(v7_135) # bp+138;
    storemerge19 = cosl(v7_135) if v2_138 < 9223372036854775808.0 else v7_135;
    st6_global_2d_to_2d_local = j.y * *((edi_global_2d_to_2d_local - 48)) # st6;
    v1_147 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+147;
    v3_149 = v1_147 / 256 & 65 # bp+149;
    z.x = z.x & -0x10000 | v1_147 & -0xff01 | 256 * v3_149;
    *z.y = storemerge19 * v4_9e + (-st6_global_2d_to_2d_local if v3_149 != 0 else st6_global_2d_to_2d_local);
    v7_15f = v7_f7 * *((edi_global_2d_to_2d_local - 24)) + *((edi_global_2d_to_2d_local - 40));
    v2_162 = fabsl(v7_15f) # bp+162;
    storemerge18 = cosl(v7_15f) if v2_162 < 9223372036854775808.0 else v7_15f;
    st6_global_2d_to_2d_local = j.z * *((edi_global_2d_to_2d_local - 56));
    storemerge15_in_in_p = -st6_global_2d_to_2d_local if __asm_fnstsw(fpsw_global_2d_to_2d_local) & 0x4100 != 0 else st6_global_2d_to_2d_local;
    *z.z = storemerge18 * v4_bd + storemerge15_in_in_p;
    z.x = ebx_global_2d_to_2d_local;
    return ebx_global_2d_to_2d_local;


	}